Class | ActiveMerchant::Billing::BraintreeGateway
In: | lib/active_merchant/billing/gateways/braintree.rb
Parent: | Gateway

### Methods

authorize capture delete new purchase store unstore update void

### Constants

URL | = | 'https://secure.braintreepaymentgateway.com/api/transact.php'

### Public Class methods

new(options = {})

### Public Instance methods

authorize(money, payment_source, options = {})

Pass :store => true in the options to store the payment info at BrainTree and get a generated customer_vault_id in the response. Pass :store => some_number_or_string to specify the customer_vault_id BrainTree should use (make sure it‘s unique).

capture(money, authorization, options = {})
delete(vault_id)
purchase(money, payment_source, options = {})
store(payment_source, options = {})

To match the other stored-value gateways, like TrustCommerce, store and unstore need to be defined

unstore(vault_id)

Alias for delete

update(vault_id, creditcard, options = {})

Update the values (such as CC expiration) stored at BrainTree. The CC number must be supplied in the CreditCard object.

void(authorization, options = {})

[Validate]